<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">
  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="npm run buildcss" />
  </Target>
  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
    <AssemblyVersion>1.3.2.1</AssemblyVersion>
    <FileVersion>1.3.2.1</FileVersion>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.LocalStorage" Version="4.5.0" />
    <PackageReference Include="Blazorise.LottieAnimation" Version="1.6.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.8" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.8" PrivateAssets="all" />
    <PackageReference Include="MudBlazor" Version="6.13.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Refit" Version="7.2.1" />
    <PackageReference Include="Refit.HttpClientFactory" Version="7.2.1" />
    <PackageReference Include="Refit.Newtonsoft.Json" Version="7.2.1" />
    <PackageReference Include="Toolbelt.Blazor.PWA.Updater" Version="2.1.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\ItemModels\" />
    <Folder Include="Helpers\" />
    <Folder Include="wwwroot\assets\lotties\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocuMed.Domain\DocuMed.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Blazored.LocalStorage" />
    <Using Include="DocuMed.Common.Extensions" />
    <Using Include="DocuMed.Common.Models.Api" />
    <Using Include="DocuMed.Domain.Dtos.LargDtos" />
    <Using Include="DocuMed.Domain.Dtos.RequestDtos" />
    <Using Include="DocuMed.Domain.Dtos.SmallDtos" />
    <Using Include="DocuMed.Domain.Entities.City" />
    <Using Include="DocuMed.Domain.Entities.MedicalHistory" />
    <Using Include="DocuMed.Domain.Entities.MedicalHistoryTemplate" />
    <Using Include="DocuMed.Domain.Enums" />
    <Using Include="DocuMed.Domain.Enums.QueryFilters" />
    <Using Include="DocuMed.Domain.Models" />
    <Using Include="DocuMed.PWA" />
    <Using Include="DocuMed.PWA.Models" />
    <Using Include="DocuMed.PWA.Models.Api" />
    <Using Include="DocuMed.PWA.Services.RestServices" />
    <Using Include="DocuMed.PWA.Utilities" />
    <Using Include="Microsoft.AspNetCore.Components" />
    <Using Include="Microsoft.AspNetCore.Components.Web" />
    <Using Include="Microsoft.AspNetCore.Components.WebAssembly.Hosting" />
    <Using Include="Microsoft.IdentityModel.Tokens" />
    <Using Include="MudBlazor" />
    <Using Include="MudBlazor.Services" />
    <Using Include="Refit" />
    <Using Include="System.Reflection" />
    <Using Include="Toolbelt.Blazor.Extensions.DependencyInjection" />
  </ItemGroup>

</Project>
